<template>
  <div class="flex flex-col gap-y-3">
    <SearchResult v-for="item in result" :key="item.title" :item="item" :show-json="showJson" />
  </div>
</template>

<script setup lang="ts">
import type { FCSearchResult } from '../../services/federatedCatalogue';
import SearchResult from './SearchResult.vue';

withDefaults(
  defineProps<{
    result: FCSearchResult[] | null;
    showJson?: boolean;
  }>(),
  {
    showJson: false,
  }
);
</script>
